﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace Models.SqlModel
{

    [SugarTable("base_equipment_size")]
    public class EquipmentSize
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]

        public String id { get; set; }

        public String code { get; set; }

        public String unit { get; set; }
        [SugarColumn(ColumnName = "type_id")]
        public String? typeId { get; set; }

        public String? name { get; set; }
   
        public String? note { get; set; }

        public String? price { get; set; }

        public String? state { get; set; }

        [SugarColumn(ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? createTime { get; set; }
    }
}
