﻿using APIs.Dto;
using AutoMapper;
using Models.SqlModel;

namespace APIs.Profiles;

public class MapperProfile : Profile
{
    public MapperProfile()
    {
        CreateMap<User, UserDto>().ForMember(dest=>dest.Id,opt=>opt.MapFrom(src=>src.Id));
    }
}